Retrieve a Task

View as Markdown

Get a Task by UUID.

Tasks are site-scoped; siteId must be the Site where the task was created. Org must have an Infrastructure Provider entity. User must have FORGE_PROVIDER_ADMIN authorization role.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://carbide-rest-api.carbide.svc.cluster.local/v2/org/$ORG_NAME/carbide/user/current ```

Path parameters

orgstringRequired
idstringRequired

Query parameters

siteIdstringRequiredformat: "uuid"

ID of the Site that owns the task (tasks are site-scoped).

Response

OK
idstringformat: "uuid"
Unique identifier of the task.
statusenum
Current state of the task.
descriptionstring

Human-readable description provided when the task was created.

messagestring
Optional status or error message describing the current state or result.
starteddatetime
Timestamp when the task started execution.
finisheddatetime

Timestamp when the task finished (succeeded, failed or terminated).

createddatetime
Timestamp when the task was created.
updateddatetime
Timestamp when the task was last updated.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error